#ifndef QRK_ODE_HANDLER_H
#define QRK_ODE_HANDLER_H

/*!
  \file
  \brief ODE の補助

  \author Satofumi KAMIMURA

  $Id: OdeHandler.h 1133 2009-07-10 21:01:40Z satofumi $
*/

#include <ode/ode.h>


namespace qrk
{
  class OdeHandler
  {
    OdeHandler(const OdeHandler& rhs);
    OdeHandler& operator = (const OdeHandler& rhs);

    struct pImpl;
    pImpl* pimpl;

  public:
    OdeHandler(void);
    ~OdeHandler(void);


    dWorldID world(void);
    dSpaceID space(void);
    dGeomID ground(void);
    dJointGroupID contactGroup(void);
  };
}

#endif /* !QRK_ODE_HANDLER_H */
