#ifndef QRK_TICKS_CONTROL_WIDGET_H
#define QRK_TICKS_CONTROL_WIDGET_H

/*!
  \file
  \brief 時間の管理用ウィジット

  \author Satofumi KAMIMURA

  $Id: TicksControlWidget.h 1113 2009-07-06 21:58:15Z satofumi $
*/

#include "ui_TicksControlWidgetForm.h"


namespace qrk
{
  class TicksControlWidget : public QWidget, private Ui::TicksControlWidgetForm
  {
    Q_OBJECT;

    TicksControlWidget(const TicksControlWidget& rhs);
    TicksControlWidget& operator = (const TicksControlWidget& rhs);

    struct pImpl;
    std::auto_ptr<pImpl> pimpl;

  private slots:
    void closeEvent(QCloseEvent* event);

  public:
    TicksControlWidget(QWidget* parent = 0);
    ~TicksControlWidget(void);

  signals:
    void quit(void);
    void closed(void);
    void play(void);
    void pause(void);
    void moreFaster(void);
    void moreSlower(void);
  };
}

#endif /* !_TICKS_CONTROL_WIDGET_H */
