TEMPLATE = lib
CONFIG += staticlib
TARGET = qrk_qt
QT += opengl network

target.path += /usr/local/lib/qrk/
INSTALLS += target

DEPENDPATH += . ../base
INCLUDEPATH += ../base ../target/differential_drive

QMAKE_CXXFLAGS +=

# Input
FORMS += \
SimulationWindowForm.ui TicksControlWidgetForm.ui

HEADERS += \
	SimulationWindow.h \
        SimulationMain.h \
        TicksControlWidget.h \
        EventScheduler.h \
        DrawEnvironmentWidget.h \
        DeviceManager.h \
        ModelManager.h \
        MarkerManager.h \
        CameraViewManager.h \
        ExecutionType.h \
        luabindSimulator.h \
        luabindObstacles.h \
        Device.h \
        OdeModel.h \
        OdeHandler.h \
        system_delay.h \
        DifferentialDrive_device.h \
        BeegoModel.h \
        UrgDevice_device.h \
        UrgModel.h \
        Box.h \
        Cylinder.h \
        serial_connection.h \
        mDifferentialDrive.h \
        mUrgDevice.h \
        mUrgDistance.h

SOURCES += \
	SimulationWindow.cpp \
        SimulationMain.cpp \
        TicksControlWidget.cpp \
        EventScheduler.cpp \
        DrawEnvironmentWidget.cpp \
        gl_draw.cpp \
        DeviceManager.cpp \
        ModelManager.cpp \
        MarkerManager.cpp \
        CameraViewManager.cpp \
        ExecutionType.cpp \
        luabindSimulator.cpp \
        luabindObstacles.cpp \
        OdeHandler.cpp \
        system_delay.cpp \
        system_ticks.cpp \
        DifferentialDrive_device.cpp \
        BeegoModel.cpp \
        UrgDevice_device.cpp \
        UrgModel.cpp \
        Box.cpp \
        Cylinder.cpp \
        serial_connection.cpp \
        mDifferentialDrive.cpp \
        mUrgDistance.cpp \
        motor_control.cpp \
        encoder_handler.cpp \
        robot_control.cpp \
        follow_control.cpp \
        wheel_control.cpp \
        position_calculate.cpp \
        body_control.cpp \
        pwm_control.cpp \
        system_handler.cpp \
        path_manage.cpp \
        direct_handler.cpp \
        packet_handler.cpp \
        isincos.cpp \
        isqrt.cpp \
        iatan2.cpp \
        mUrgDevice.cpp \
        TcpipSocket.cpp \
        TcpipAccepter.cpp \
        Thread.cpp \
        Lock.cpp \
        delay.cpp \
        ticks.cpp \
